[libvirt] [PATCH] tests: don't alter state in $HOME

Eric Blake eblake at redhat.com
Wed Mar 23 20:18:37 UTC 2011


Diego reported a bug where virsh tries to initialize a readline
history directory during 'make check' run as root, but fails
because /root was read-only.

It turns out that I could reproduce this as non-root, by using:

mv ~/.virsh{,.bak}
chmod a-w ~
make check -C tests TESTS=int-overflow
chmod u+w ~
mv ~/.virsh{.bak,}

* tests/int-overflow: Don't trigger interactive mode.
Reported by Diego Elio Pettenò.
---

Found it.  virsh without non-option arguments is interactive
and triggers readline shenanigans; change from echoing into
an interactive session into running a non-interactive batch session.

 tests/int-overflow |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/int-overflow b/tests/int-overflow
index c9f5de9..baf2eef 100755
--- a/tests/int-overflow
+++ b/tests/int-overflow
@@ -14,9 +14,9 @@ fi
 . "$srcdir/test-lib.sh"

 echo "error: failed to get domain '4294967298'" > exp || fail=1
-echo domname 4294967298 | $abs_top_builddir/tools/virsh --quiet \
+$abs_top_builddir/tools/virsh --quiet \
     --connect test://$abs_top_srcdir/examples/xml/test/testnode.xml \
-    > /dev/null 2> err || fail=1
+    'domname 4294967298; quit' > /dev/null 2> err || fail=1
 diff -u err exp || fail=1

 exit $fail
-- 
1.7.4




More information about the libvir-list mailing list